Verify the email of the user
curl --request GET \
--url https://aquila.attaxr.com/api/auth/verify-email \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aquila.attaxr.com/api/auth/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/verify-email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"status": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Verify the email of the user
Verify the email of the user
GET
/
api
/
auth
/
verify-email
Verify the email of the user
curl --request GET \
--url https://aquila.attaxr.com/api/auth/verify-email \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aquila.attaxr.com/api/auth/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/verify-email"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"status": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Query Parameters
The token to verify the email
The URL to redirect to after email verification

